/*
  Copyright (C) 2001-2003 Mahlon E. Smith <mahlon@martini.nu>
  
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either
  version 2 of the License, or any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <gtk/gtk.h>

/* Kill app on window manager close */
gint delete_event( GtkWidget *widget,
                   GdkEvent  *event,
                   gpointer   data )
{
	int saveprefs();
#ifdef DEBUG
	g_print("delete_event caught\n");
	return(TRUE);
#endif DEBUG

#ifndef DEBUG
	saveprefs();
	return(FALSE);
#endif DEBUG
}



/* Kill app on File->Quit */
void destroy( GtkWidget *widget,
              gpointer   data )
{
  int saveprefs();
  saveprefs();
  gtk_main_quit();
}



/* Simple window destroyer */
void closewin ( GtkWidget *widget,
		gpointer data )
{
  gtk_widget_destroy(data);
}
