/*
  Copyright (C) 2001-2003 Mahlon E. Smith <mahlon@martini.nu>
  
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either
  version 2 of the License, or any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>

/* Fires up external browser */
/* Always returns 0, since we fall back to lynx, and already know it exists. */

int launch_url()
{
  int check_exe();
  int result = -1;
  int fpid;
  char url[] = " http://www.staticcling.org/";
  char prog[60];

  if (check_exe("mozilla") == 0) { 
    strcpy(prog, "mozilla");
    result = 0;
  }
  
  if (result != 0 && check_exe("netscape") == 0) { 
    strcpy(prog, "netscape");
    result = 0;
  }
  
  /* Fallback */
  if (result != 0) {
    strcpy(prog, "xterm -T www.staticcling.org -e lynx");
  }
  
  /* Tack on URL */
  strcat(prog, url);

#ifdef DEBUG
  printf("Launching %s\n", prog);
#endif DEBUG

  /* Fork, and launch external program. */
  fpid = fork();
  if (fpid == 0) { 
    system(prog);
    _exit(0);
  }
  
  return(0);

}
